### Method

# Fwupd Device get_update_error

since: 0.9.8

#### Declaration [src]

    const gchar*
    fwupd_device_get_update_error (
      FwupdDevice* self
    )

#### Description [src]

Gets the update error string.

Available since: 0.9.8

Gets property | `Fwupd.Device:update-error`

#### Return value

Type: `const gchar*`

The update error string, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.